Bug 1274864 - [abrt] rapid-photo-downloader: Image.py:686:tostring:Exception: tostring() has been removed. Please call tobytes() instead.
[abrt] rapid-photo-downloader: Image.py:686:tostring:Exception: tostring() ha...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4b0c949b9fc529368aa2293e92a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 13:48 EDT by Jared Smith
Modified: 2016-12-20 10:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (757 bytes, text/plain)
2015-10-23 13:48 EDT, Jared Smith
no flags Details
File: environ (1.74 KB, text/plain)
2015-10-23 13:48 EDT, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2015-10-23 13:48:10 EDT
Description of problem:
Was trying to download photos from a memory card for the first time, and the program crashed.

Version-Release number of selected component:
rapid-photo-downloader-0.4.10-3.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/rapid-photo-downloader
dso_list:       python-pillow-3.0.0-1.fc23.x86_64
executable:     /usr/bin/rapid-photo-downloader
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1975

Truncated backtrace:
Image.py:686:tostring:Exception: tostring() has been removed. Please call tobytes() instead.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 422, in do_render
    image = create_cairo_image_surface(self.image, image_w, image_h)
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 355, in create_cairo_image_surface
    imgd = pil_image.tostring("raw","BGRA", 0, 1)
  File "/usr/lib64/python2.7/site-packages/PIL/Image.py", line 686, in tostring
    "Please call tobytes() instead.")
Exception: tostring() has been removed. Please call tobytes() instead.

Local variables in innermost frame:
self: <PIL.Image.Image image mode=RGBA size=66x66 at 0x7F60CD669E10>
args: ('raw', 'BGRA', 0, 1)
kw: {}
Comment 1 Jared Smith 2015-10-23 13:48:13 EDT
Created attachment 1085873 [details]
File: backtrace
Comment 2 Jared Smith 2015-10-23 13:48:14 EDT
Created attachment 1085874 [details]
File: environ
Comment 3 Skip Wyatt 2015-11-29 14:29:52 EST
I am having the same issue, and it is preventing the thumbnails from being drawn in the window and is causing program crashes when attempting to create thumbnails in the main window.

Exception: tostring() has been removed. Please call tobytes() instead.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 422, in do_render
    image = create_cairo_image_surface(self.image, image_w, image_h)
  File "/usr/lib/python2.7/site-packages/rapid/rapid.py", line 355, in create_cairo_image_surface
    imgd = pil_image.tostring("raw","BGRA", 0, 1)
  File "/usr/lib64/python2.7/site-packages/PIL/Image.py", line 686, in tostring
    "Please call tobytes() instead.")
Comment 4 Niels 2015-12-15 15:11:52 EST
There is a 0.4.11 available at the official site (http://www.damonlynch.net/rapid/) that is fixing this bug. Please update.
Comment 5 Fedora End Of Life 2016-11-24 07:53:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:07:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.